## qt6-declarative 6.9.1+dfsg

=== tests/auto/qmlls/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if (TARGET Qt::QmlLSPrivate)
    add_subdirectory(lifecycle)
    add_subdirectory(utils)
    add_subdirectory(qqmlcodemodel)
    add_subdirectory(qmlls)
    add_subdirectory(modules)
    add_subdirectory(cli)
endif()

=== examples/quick/particles/system/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(system LANGUAGES CXX)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Qml Quick)

qt_standard_project_setup(REQUIRES 6.8)

add_subdirectory("../../shared" "shared")

qt_add_executable(systemexample WIN32 MACOSX_BUNDLE
    main.cpp
)

target_link_libraries(systemexample PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Qml
    Qt6::Quick
)

add_dependencies(systemexample system_shared)

# Resources:
qt_add_qml_module(systemexample
    URI system
    QML_FILES
        "dynamiccomparison.qml"
        "dynamicemitters.qml"
        "multiplepainters.qml"
        "timedgroupchanges.qml"
        "startstop.qml"
        "system.qml"
    RESOURCES
        "images/sparkleSize.png"
        "images/particle2.png"
        "images/particle3.png"
)

install(TARGETS systemexample
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_qml_app_script(
    TARGET systemexample
    OUTPUT_SCRIPT deploy_script
    MACOS_BUNDLE_POST_BUILD
    NO_UNSUPPORTED_PLATFORM_ERROR
    DEPLOY_USER_QML_MODULES_ON_UNSUPPORTED_PLATFORM
)
install(SCRIPT ${deploy_script})

=== examples/quick/quickwidgets/qmlpreviewer/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(QMLPreviewerExample VERSION 1.0 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Widgets Qml Quick QuickWidgets)

qt_standard_project_setup(REQUIRES 6.8)

qt_add_executable(${PROJECT_NAME} WIN32 MACOSX_BUNDLE
    main.cpp
    models/errorlistmodel.h models/errorlistmodel.cpp
    states/statecontroller.h states/statecontroller.cpp
    utility/syntaxhighlighter.h utility/syntaxhighlighter.cpp
    widgets/codeeditor.h widgets/codeeditor.cpp
    widgets/editorwidget.h widgets/editorwidget.cpp
    widgets/linenumberarea.h widgets/linenumberarea.cpp
    widgets/mainwindow.h widgets/mainwindow.cpp
    widgets/patheditwidget.h widgets/patheditwidget.cpp
    widgets/previewwidget.h widgets/previewwidget.cpp
)

include(resources.cmake)

target_link_libraries(${PROJECT_NAME} PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Widgets
    Qt6::Qml
    Qt6::Quick
    Qt6::QuickWidgets
)

set_target_properties(${PROJECT_NAME} PROPERTIES
    MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
    MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    MACOSX_BUNDLE TRUE
    WIN32_EXECUTABLE TRUE
)

install(TARGETS ${PROJECT_NAME}
    BUNDLE DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

=== tests/auto/quickcontrols/customization/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from customization.pro.

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_customization LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

#####################################################################
## tst_customization Test:
#####################################################################

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_customization
    SOURCES
        tst_customization.cpp
    DEFINES
        QQC2_IMPORT_PATH="${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/quickcontrols"
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::Qml
        Qt::QmlPrivate
        Qt::QuickControls2
        Qt::QuickControls2Private
        Qt::QuickControlsTestUtilsPrivate
        Qt::QuickPrivate
        Qt::QuickTemplates2Private
        Qt::QuickTest
        Qt::QuickTestUtilsPrivate
        Qt::TestPrivate
    TESTDATA ${test_data}
)

## Scopes:
#####################################################################

qt_internal_extend_target(tst_customization CONDITION ANDROID OR IOS
    DEFINES
        QT_QMLTEST_DATADIR=":/data"
)

qt_internal_extend_target(tst_customization CONDITION NOT ANDROID AND NOT IOS
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
)

=== tests/auto/quickcontrols/qquicktextarea/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qquicktextarea LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

#####################################################################
## tst_qquicktextarea Test:
#####################################################################

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qquicktextarea
    SOURCES
        tst_qquicktextarea.cpp
    DEFINES
        QQC2_IMPORT_PATH="${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/quickcontrols"
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::Qml
        Qt::QmlPrivate
        Qt::QuickControls2
        Qt::QuickControls2Private
        Qt::QuickControlsTestUtilsPrivate
        Qt::QuickPrivate
        Qt::QuickTemplates2Private
        Qt::QuickTest
        Qt::QuickTestUtilsPrivate
        Qt::TestPrivate
    TESTDATA ${test_data}
)

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qquicktextarea CONDITION ANDROID OR IOS
    DEFINES
        QT_QMLTEST_DATADIR=":/data"
)

qt_internal_extend_target(tst_qquicktextarea CONDITION NOT ANDROID AND NOT IOS
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
)

=== tests/auto/quickcontrols/qquickuniversalstyleconf/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquickuniversalstyleconf.pro.

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qquickuniversalstyleconf LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

#####################################################################
## tst_qquickuniversalstyleconf Test:
#####################################################################

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    data/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qquickuniversalstyleconf
    SOURCES
        tst_qquickuniversalstyleconf.cpp
    DEFINES
        QQC2_IMPORT_PATH="${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/quickcontrols"
    LIBRARIES
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::Qml
        Qt::QmlPrivate
        Qt::QuickControls2
        Qt::QuickControls2Private
        Qt::QuickControlsTestUtilsPrivate
        Qt::QuickPrivate
        Qt::QuickTemplates2Private
        Qt::QuickTest
        Qt::QuickTestUtilsPrivate
        Qt::TestPrivate
    TESTDATA ${test_data}
)

# Resources:
set(qquickuniversalstyleconf_resource_files
    "qtquickcontrols2.conf"
)

qt_internal_add_resource(tst_qquickuniversalstyleconf "qquickuniversalstyleconf"
    PREFIX
        "/"
    FILES
        ${qquickuniversalstyleconf_resource_files}
)


#### Keys ignored in scope 1:.:.:qquickuniversalstyleconf.pro:<TRUE>:
# OTHER_FILES = "data/*.qml"

## Scopes:
#####################################################################

qt_internal_extend_target(tst_qquickuniversalstyleconf CONDITION ANDROID OR IOS
    DEFINES
        QT_QMLTEST_DATADIR=":/data"
)

qt_internal_extend_target(tst_qquickuniversalstyleconf CONDITION NOT ANDROID AND NOT IOS
    DEFINES
        QT_QMLTEST_DATADIR="${CMAKE_CURRENT_SOURCE_DIR}/data"
)

=== tests/auto/quickcontrols/controls/ios/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_ios LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/tst_*)
list(APPEND test_data ${test_data_glob})

set(controls_data ${CMAKE_CURRENT_SOURCE_DIR}/../data)

qt_internal_add_test(tst_ios
    GUI
    QMLTEST
    SOURCES
        tst_ios.cpp
    DEFINES
        TST_CONTROLS_DATA="${controls_data}"
    LIBRARIES
        Qt::Gui
        Qt::QuickControls2
    TESTDATA ${test_data}
)

# Make sure qml import scanner finds the qml files when building against a static Qt build.
# By default it only scans the current source directory.
set_target_properties(tst_ios PROPERTIES
    QT_QML_IMPORT_SCANNER_EXTRA_ROOT_PATHS "${controls_data}")

set(test_target tst_ios)
include(../shared.cmake)

=== tests/auto/quickcontrols/controls/macos/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_macos LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/tst_*)
list(APPEND test_data ${test_data_glob})

set(controls_data ${CMAKE_CURRENT_SOURCE_DIR}/../data)

qt_internal_add_test(tst_macos
    GUI
    QMLTEST
    SOURCES
        tst_macos.cpp
    DEFINES
        TST_CONTROLS_DATA="${controls_data}"
    LIBRARIES
        Qt::Gui
        Qt::QuickControls2
    TESTDATA ${test_data}
)

# Make sure qml import scanner finds the qml files when building against a static Qt build.
# By default it only scans the current source directory.
set_target_properties(tst_macos PROPERTIES
    QT_QML_IMPORT_SCANNER_EXTRA_ROOT_PATHS "${controls_data}")

# Make the QML files available to Creator's locator.
target_sources(tst_macos
    PRIVATE
        ${test_data}
)

set_source_files_properties(${test_data}
    PROPERTIES
        HEADER_FILE_ONLY ON
)

set(test_target tst_macos)
include(../shared.cmake)

=== tests/auto/quickcontrols/controls/windows/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if (NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_windows LANGUAGES C CXX ASM)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/../data/tst_*)
list(APPEND test_data ${test_data_glob})

set(controls_data ${CMAKE_CURRENT_SOURCE_DIR}/../data)

qt_internal_add_test(tst_windows
    GUI
    QMLTEST
    SOURCES
        tst_windows.cpp
    DEFINES
        TST_CONTROLS_DATA="${controls_data}"
    LIBRARIES
        Qt::Gui
        Qt::QuickControls2
    TESTDATA ${test_data}
)

# Make sure qml import scanner finds the qml files when building against a static Qt build.
# By default it only scans the current source directory.
set_target_properties(tst_universal PROPERTIES
    QT_QML_IMPORT_SCANNER_EXTRA_ROOT_PATHS "${controls_data}")

# Make the QML files available to Creator's locator.
target_sources(tst_windows
    PRIVATE
        ${test_data}
)

set_source_files_properties(${test_data}
    PROPERTIES
        HEADER_FILE_ONLY ON
)

set(test_target tst_windows)
include(../shared.cmake)

=== debian/changelog ===
qt6-declarative (6.9.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Replace QT_BUILD_TOOLS_WHEN_CROSSCOMPILING with QT_FORCE_BUILD_TOOLS
    for cross-builds (Closes: #1089047).

 -- Patrick Franz <deltaone@debian.org>  Mon, 25 Aug 2025 22:37:46 +0200

qt6-declarative (6.9.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update ABI to 6.9.1.
  * Update list of installed files and remove binary package qml6-
    module-qtquick-nativestyle.
  * Update symbols from buildlogs.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 19 Jul 2025 11:19:35 +0200

=== debian/control ===
Source: qt6-declarative
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               ccache [linux-any],
               cmake (>= 3.24~),
               libgl-dev,
               liblttng-ust-dev [linux-any],
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.9.1+dfsg~),
               qt6-base-private-dev (>= 6.9.1+dfsg~),
               qt6-declarative-dev:native <cross>,
               qt6-languageserver-private-dev (>= 6.9.1~),
               qt6-shadertools-dev (>= 6.9.1~),
               qt6-svg-dev (>= 6.9.1~),
               qt6-svg-private-dev (>= 6.9.1~),
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-declarative
Rules-Requires-Root: no

Package: libqt6qml6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Provides: qt6-declarative-private-abi (= 6.9.1),
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: libgl1, libglx-mesa0,
Suggests: qt6-qmltooling-plugins,
Description: Qt 6 QML library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt QML module provides a framework for developing applications and
 libraries with the QML language. It defines and implements the language
 and engine infrastructure, and provides an API to enable application
 developers to extend the QML language with custom types and integrate
 QML code with JavaScript and C++.

Package: libqt6labsplatform6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Labs Platform library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Labs Platform library.

Package: libqt6qmlcompiler6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Compiler library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Compiler library.

Package: libqt6qmlmeta6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Meta library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Meta support library.

Package: libqt6qmlmodels6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Models library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Models support library.

Package: libqt6qmlnetwork6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML Network library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML Network support library.

Package: libqt6qmlworkerscript6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 QML WorkerScript library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt QML WorkerScript support library.

Package: libqt6quick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 Qt Quick is a collection of technologies that are designed to help
 developers create the kind of intuitive, modern, fluid user interfaces
 that are increasingly used on mobile phones, media players, set-top
 boxes and other portable devices.

Package: libqt6quickcontrols2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6quickcontrols2impl6, qml6-module-qtquick-controls (<< 6.7.2~),
Replaces: libqt6quickcontrols2impl6, qml6-module-qtquick-controls (<< 6.7.2~),
Description: Qt 6 Quick Controls 2 library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Controls 2 support library.

Package: libqt6quickshapes6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Shapes library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Shapes support library.

Package: libqt6quicktemplates2-6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Templates 2 library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Templates 2 support library.

Package: libqt6quicktest6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Test library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Test library for QtDeclarative module.

Package: libqt6quickvectorimage6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Vector Image library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Vector Image support library.

Package: libqt6quickvectorimagegenerator6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Vector Image Generator library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Vector Image Generator support library.

Package: libqt6quickwidgets6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick Widgets library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Quick Widgets library for QtDeclarative module.

Package: qt6-qmllint-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmllint plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmllint plugins.

Package: qt6-qmlls-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmlls plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmlls plugins.

Package: qt6-qmltooling-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmltooling plugins
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling plugins.

Package: qml6-module-assets-downloader
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Assets Downloader QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains QML types related to the assets downloader.

Package: qml6-module-qml
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains the base QML types.

Package: qml6-module-qmltime
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 QmlTime QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains QML types related to timers.

Package: qml6-module-qt-labs-animation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6labsanimation6,
Replaces: libqt6labsanimation6,
Description: Qt 6 Animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains experimental QML types related to animation.

Package: qml6-module-qt-labs-folderlistmodel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6labsfolderlistmodel6,
Replaces: libqt6labsfolderlistmodel6,
Description: Qt 6 FolderListModel QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The FolderListModel provides a model of the contents of a file system folder.

Package: qml6-module-qt-labs-platform
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Platform QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The experimental Qt Labs Platform module provides QML types for native
 platform extensions.

Package: qml6-module-qt-labs-qmlmodels
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6labsqmlmodels6,
Replaces: libqt6labsqmlmodels6,
Description: Qt 6 QML Models QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This QML module contains types for defining data models in QML.

Package: qml6-module-qt-labs-settings
Architecture: any
Multi-Arch: same

## qt6-declarative 6.9.2

=== debian/changelog ===
qt6-declarative (6.9.2-0zneon+24.04+noble+stable+build63) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 29 Aug 2025 04:14:38 +0000

qt6-declarative (6.9.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Thu, 28 Aug 2025 22:20:11 +1000

qt6-declarative (6.9.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 08 Jul 2025 19:23:43 +1000

qt6-declarative (6.9.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Sun, 20 Apr 2025 19:11:09 +1000

qt6-declarative (6.8.3-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Fri, 11 Apr 2025 22:06:56 +1000

qt6-declarative (6.8.2-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 08 Feb 2025 20:54:12 +1000

qt6-declarative (6.8.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Tue, 03 Dec 2024 14:18:51 +1000

qt6-declarative (6.8.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 24 Jul 2024 20:25:14 +1000

qt6-declarative (6.7.0-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Fri, 16 Feb 2024 17:48:42 +1000

qt6-declarative (6.6.1-0neon) jammy; urgency=medium

  [ Patrick Franz ]
  * Add qt6-base-private-dev as a dependency for qt6-declarative-private-
    dev (Closes: #1024888).
  * Adjust build-dependencies.

  [ Debian Qt/KDE Maintainers ]
  * New release

  [ Carlos De Maine ]
  * New release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Sat, 09 Dec 2023 10:13:24 +1000

qt6-declarative (6.4.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.
  * New upstream release (6.4.2).
  * Bump Qt B-Ds to 6.4.2.
  * Update ABI to 6.4.2.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 16 Nov 2022 06:51:36 +0100

=== debian/control ===
Source: qt6-declarative
Section: libs
Priority: optional
Uploaders: Patrick Franz <deltaone@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               libgl-dev,
               liblttng-ust-dev [linux-any],
               libssl-dev,
               libvulkan-dev [linux-any],
               libxkbcommon-dev,
               mold,
               ninja-build,
               pkg-kde-tools,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev (>= 6.9.2~),
               qt6-languageserver-dev (>= 6.9.2~),
               qt6-location-dev (>= 6.9.2~),
               qt6-positioning-dev (>= 6.9.2~),
               qt6-shadertools-dev (>= 6.9.2~),
               qt6-svg-dev (>= 6.9.2~),
               qt6-tools-dev (>= 6.9.2~)
Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
                     qt6-tools (>= 6.9~) <!nodoc>
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/qt6/qt6-declarative.git
Vcs-Browser: https://invent.kde.org/neon/qt6/qt6-declarative
Maintainer: Neon CI <neon@kde.org>

Package: qt6-declarative
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: qt6-declarative-abi (= 6.9.2)
Breaks: libqt6labsanimation6,
        libqt6labsfolderlistmodel6,
        libqt6labsqmlmodels6,
        libqt6labssettings6,
        libqt6labssharedimage6,
        libqt6labswavefrontmesh6,
        libqt6qmlcore6,
        libqt6qmllocalstorage6,
        libqt6qmlworkerscript6,
        libqt6qmlxmllistmodel6,
        libqt6quickcontrols2impl6,
        libqt6quickdialogs2-6,
        libqt6quickdialogs2quickimpl6,
        libqt6quickdialogs2utils6,
        libqt6quicklayouts6,
        libqt6quickparticles6,
        libqt6quickshapes6
Replaces: libqt6labsanimation6,
          libqt6labsfolderlistmodel6,
          libqt6labsqmlmodels6,
          libqt6labssettings6,
          libqt6labssharedimage6,
          libqt6labswavefrontmesh6,
          libqt6qml6,
          libqt6qml6t64,
          libqt6qmlcompiler6,
          libqt6qmlcompiler6t64,
          libqt6qmlcore6,
          libqt6qmllocalstorage6,
          libqt6qmlmodels6,
          libqt6qmlmodels6t64,
          libqt6qmlworkerscript6,
          libqt6qmlxmllistmodel6,
          libqt6quick6,
          libqt6quick6t64,
          libqt6quickcontrols2-6,
          libqt6quickcontrols2-6t64,
          libqt6quickcontrols2impl6,
          libqt6quickdialogs2-6,
          libqt6quickdialogs2quickimpl6,
          libqt6quickdialogs2utils6,
          libqt6quicklayouts6,
          libqt6quickparticles6,
          libqt6quickshapes6,
          libqt6quicktemplates2-6,
          libqt6quicktemplates2-6t64,
          libqt6quicktest6,
          libqt6quickwidgets6,
          libqt6quickwidgets6t64
Recommends: libgl1, libglx-mesa0
Suggests: qt6-qmltooling-plugins
Description: Qt 6 QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt QML module provides a framework for developing applications and
 libraries with the QML language. It defines and implements the language
 and engine infrastructure, and provides an API to enable application
 developers to extend the QML language with custom types and integrate
 QML code with JavaScript and C++.

Package: qt6-declarative-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-dev,
         qt6-declarative (= ${binary:Version}),
         qt6-languageserver-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Qt 6 declarative development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files for building some
 Qt 6 applications using Qt 6 declarative headers.

Package: qt6-declarative-doc
Architecture: all
Section: kde
X-Neon-MergedPackage: true
Depends: qt6-base-doc, qt6-declarative-dev, ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 declarative documentation files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation files for helping to build some
 Qt 6 applications using Qt 6 declarative technology.

Package: libqt6qml6
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6qml6t64
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6qmlcompiler6
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6qmlcompiler6t64
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6qmlmodels6
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6qmlmodels6t64
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick6
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quick6t64
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quickcontrols2-6
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quickcontrols2-6t64
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quicktemplates2-6
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quicktemplates2-6t64
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quicktest6
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quickwidgets6
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libqt6quickwidgets6t64
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-qmllint-plugins
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-qmltooling-plugins
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qmltime
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt-labs-animation
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt-labs-folderlistmodel
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt-labs-platform
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt-labs-qmlmodels
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt-labs-settings
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt-labs-sharedimage
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qt-labs-wavefrontmesh
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtcore
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtqml
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtqml-base
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtqml-models
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtqml-workerscript
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtqml-xmllistmodel
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-controls
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-dialogs
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-effects
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-layouts
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-localstorage
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-nativestyle
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-particles
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-shapes
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-templates
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-tooling
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qtquick-window
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml6-module-qttest
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml-qt6
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qmlscene-qt6
Architecture: all
Depends: qt6-declarative, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-declarative-dev-tools
Architecture: all
Depends: qt6-declarative-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qt6-declarative-doc-dev
Architecture: all
Depends: qt6-declarative-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
